Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 653:3202ff01d48e
prev643:653b0a70f173
next656:031d23fa6d0b
author nkeynes
date Tue Apr 01 08:03:56 2008 +0000 (16 years ago)
permissions -rw-r--r--
last change Add support for mirrored textures
file annotate diff log raw
1.1 --- a/configure Tue Feb 26 01:10:48 2008 +0000
1.2 +++ b/configure Tue Apr 01 08:03:56 2008 +0000
1.3 @@ -700,6 +700,8 @@
1.4 host_cpu
1.5 host_vendor
1.6 host_os
1.7 +OSMESA_DRIVER_TRUE
1.8 +OSMESA_DRIVER_FALSE
1.9 PKG_CONFIG
1.10 LIBPNG_CFLAGS
1.11 LIBPNG_LIBS
1.12 @@ -1359,6 +1361,12 @@
1.13 --enable-watch Enable watchpoints in the debugger (warning: hurts
1.14 performance)
1.15
1.16 +Optional Packages:
1.17 + --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1.18 + --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1.19 + --with-osmesa Build with the osmesa GL library (software
1.20 + rendering)
1.21 +
1.22 Some influential environment variables:
1.23 CC C compiler command
1.24 CFLAGS C compiler flags
1.25 @@ -4991,6 +4999,15 @@
1.26 fi
1.27 fi
1.28
1.29 +
1.30 +# Check whether --with-osmesa was given.
1.31 +if test "${with_osmesa+set}" = set; then
1.32 + withval=$with_osmesa;
1.33 +else
1.34 + with_osmesa=no
1.35 +fi
1.36 +
1.37 +
1.38 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
1.39
1.40
1.41 @@ -5060,6 +5077,235 @@
1.42 done
1.43
1.44
1.45 +if test "x$with_osmesa" != xno; then
1.46 +
1.47 +
1.48 +{ echo "$as_me:$LINENO: checking for OSMesaCreateContext in -lOSMesa" >&5
1.49 +echo $ECHO_N "checking for OSMesaCreateContext in -lOSMesa... $ECHO_C" >&6; }
1.50 +if test "${ac_cv_lib_OSMesa_OSMesaCreateContext+set}" = set; then
1.51 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.52 +else
1.53 + ac_check_lib_save_LIBS=$LIBS
1.54 +LIBS="-lOSMesa $LIBS"
1.55 +cat >conftest.$ac_ext <<_ACEOF
1.56 +/* confdefs.h. */
1.57 +_ACEOF
1.58 +cat confdefs.h >>conftest.$ac_ext
1.59 +cat >>conftest.$ac_ext <<_ACEOF
1.60 +/* end confdefs.h. */
1.61 +
1.62 +/* Override any GCC internal prototype to avoid an error.
1.63 + Use char because int might match the return type of a GCC
1.64 + builtin and then its argument prototype would still apply. */
1.65 +#ifdef __cplusplus
1.66 +extern "C"
1.67 +#endif
1.68 +char OSMesaCreateContext ();
1.69 +int
1.70 +main ()
1.71 +{
1.72 +return OSMesaCreateContext ();
1.73 + ;
1.74 + return 0;
1.75 +}
1.76 +_ACEOF
1.77 +rm -f conftest.$ac_objext conftest$ac_exeext
1.78 +if { (ac_try="$ac_link"
1.79 +case "(($ac_try" in
1.80 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.81 + *) ac_try_echo=$ac_try;;
1.82 +esac
1.83 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.84 + (eval "$ac_link") 2>conftest.er1
1.85 + ac_status=$?
1.86 + grep -v '^ *+' conftest.er1 >conftest.err
1.87 + rm -f conftest.er1
1.88 + cat conftest.err >&5
1.89 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.90 + (exit $ac_status); } && {
1.91 + test -z "$ac_c_werror_flag" ||
1.92 + test ! -s conftest.err
1.93 + } && test -s conftest$ac_exeext &&
1.94 + $as_test_x conftest$ac_exeext; then
1.95 + ac_cv_lib_OSMesa_OSMesaCreateContext=yes
1.96 +else
1.97 + echo "$as_me: failed program was:" >&5
1.98 +sed 's/^/| /' conftest.$ac_ext >&5
1.99 +
1.100 + ac_cv_lib_OSMesa_OSMesaCreateContext=no
1.101 +fi
1.102 +
1.103 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.104 + conftest$ac_exeext conftest.$ac_ext
1.105 +LIBS=$ac_check_lib_save_LIBS
1.106 +fi
1.107 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_OSMesa_OSMesaCreateContext" >&5
1.108 +echo "${ECHO_T}$ac_cv_lib_OSMesa_OSMesaCreateContext" >&6; }
1.109 +if test $ac_cv_lib_OSMesa_OSMesaCreateContext = yes; then
1.110 + cat >>confdefs.h <<_ACEOF
1.111 +#define HAVE_LIBOSMESA 1
1.112 +_ACEOF
1.113 +
1.114 + LIBS="-lOSMesa $LIBS"
1.115 +
1.116 +else
1.117 + { { echo "$as_me:$LINENO: error: --with-osmesa was given, but OSMesa library could not be found
1.118 +See \`config.log' for more details." >&5
1.119 +echo "$as_me: error: --with-osmesa was given, but OSMesa library could not be found
1.120 +See \`config.log' for more details." >&2;}
1.121 + { (exit 1); exit 1; }; }
1.122 +fi
1.123 +
1.124 + if test "${ac_cv_header_GL_osmesa_h+set}" = set; then
1.125 + { echo "$as_me:$LINENO: checking for GL/osmesa.h" >&5
1.126 +echo $ECHO_N "checking for GL/osmesa.h... $ECHO_C" >&6; }
1.127 +if test "${ac_cv_header_GL_osmesa_h+set}" = set; then
1.128 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.129 +fi
1.130 +{ echo "$as_me:$LINENO: result: $ac_cv_header_GL_osmesa_h" >&5
1.131 +echo "${ECHO_T}$ac_cv_header_GL_osmesa_h" >&6; }
1.132 +else
1.133 + # Is the header compilable?
1.134 +{ echo "$as_me:$LINENO: checking GL/osmesa.h usability" >&5
1.135 +echo $ECHO_N "checking GL/osmesa.h usability... $ECHO_C" >&6; }
1.136 +cat >conftest.$ac_ext <<_ACEOF
1.137 +/* confdefs.h. */
1.138 +_ACEOF
1.139 +cat confdefs.h >>conftest.$ac_ext
1.140 +cat >>conftest.$ac_ext <<_ACEOF
1.141 +/* end confdefs.h. */
1.142 +$ac_includes_default
1.143 +#include <GL/osmesa.h>
1.144 +_ACEOF
1.145 +rm -f conftest.$ac_objext
1.146 +if { (ac_try="$ac_compile"
1.147 +case "(($ac_try" in
1.148 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.149 + *) ac_try_echo=$ac_try;;
1.150 +esac
1.151 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.152 + (eval "$ac_compile") 2>conftest.er1
1.153 + ac_status=$?
1.154 + grep -v '^ *+' conftest.er1 >conftest.err
1.155 + rm -f conftest.er1
1.156 + cat conftest.err >&5
1.157 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.158 + (exit $ac_status); } && {
1.159 + test -z "$ac_c_werror_flag" ||
1.160 + test ! -s conftest.err
1.161 + } && test -s conftest.$ac_objext; then
1.162 + ac_header_compiler=yes
1.163 +else
1.164 + echo "$as_me: failed program was:" >&5
1.165 +sed 's/^/| /' conftest.$ac_ext >&5
1.166 +
1.167 + ac_header_compiler=no
1.168 +fi
1.169 +
1.170 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.171 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.172 +echo "${ECHO_T}$ac_header_compiler" >&6; }
1.173 +
1.174 +# Is the header present?
1.175 +{ echo "$as_me:$LINENO: checking GL/osmesa.h presence" >&5
1.176 +echo $ECHO_N "checking GL/osmesa.h presence... $ECHO_C" >&6; }
1.177 +cat >conftest.$ac_ext <<_ACEOF
1.178 +/* confdefs.h. */
1.179 +_ACEOF
1.180 +cat confdefs.h >>conftest.$ac_ext
1.181 +cat >>conftest.$ac_ext <<_ACEOF
1.182 +/* end confdefs.h. */
1.183 +#include <GL/osmesa.h>
1.184 +_ACEOF
1.185 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.186 +case "(($ac_try" in
1.187 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.188 + *) ac_try_echo=$ac_try;;
1.189 +esac
1.190 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.191 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.192 + ac_status=$?
1.193 + grep -v '^ *+' conftest.er1 >conftest.err
1.194 + rm -f conftest.er1
1.195 + cat conftest.err >&5
1.196 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.197 + (exit $ac_status); } >/dev/null && {
1.198 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.199 + test ! -s conftest.err
1.200 + }; then
1.201 + ac_header_preproc=yes
1.202 +else
1.203 + echo "$as_me: failed program was:" >&5
1.204 +sed 's/^/| /' conftest.$ac_ext >&5
1.205 +
1.206 + ac_header_preproc=no
1.207 +fi
1.208 +
1.209 +rm -f conftest.err conftest.$ac_ext
1.210 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.211 +echo "${ECHO_T}$ac_header_preproc" >&6; }
1.212 +
1.213 +# So? What about this header?
1.214 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.215 + yes:no: )
1.216 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.217 +echo "$as_me: WARNING: GL/osmesa.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.218 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: proceeding with the compiler's result" >&5
1.219 +echo "$as_me: WARNING: GL/osmesa.h: proceeding with the compiler's result" >&2;}
1.220 + ac_header_preproc=yes
1.221 + ;;
1.222 + no:yes:* )
1.223 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: present but cannot be compiled" >&5
1.224 +echo "$as_me: WARNING: GL/osmesa.h: present but cannot be compiled" >&2;}
1.225 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: check for missing prerequisite headers?" >&5
1.226 +echo "$as_me: WARNING: GL/osmesa.h: check for missing prerequisite headers?" >&2;}
1.227 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: see the Autoconf documentation" >&5
1.228 +echo "$as_me: WARNING: GL/osmesa.h: see the Autoconf documentation" >&2;}
1.229 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: section \"Present But Cannot Be Compiled\"" >&5
1.230 +echo "$as_me: WARNING: GL/osmesa.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.231 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: proceeding with the preprocessor's result" >&5
1.232 +echo "$as_me: WARNING: GL/osmesa.h: proceeding with the preprocessor's result" >&2;}
1.233 + { echo "$as_me:$LINENO: WARNING: GL/osmesa.h: in the future, the compiler will take precedence" >&5
1.234 +echo "$as_me: WARNING: GL/osmesa.h: in the future, the compiler will take precedence" >&2;}
1.235 +
1.236 + ;;
1.237 +esac
1.238 +{ echo "$as_me:$LINENO: checking for GL/osmesa.h" >&5
1.239 +echo $ECHO_N "checking for GL/osmesa.h... $ECHO_C" >&6; }
1.240 +if test "${ac_cv_header_GL_osmesa_h+set}" = set; then
1.241 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.242 +else
1.243 + ac_cv_header_GL_osmesa_h=$ac_header_preproc
1.244 +fi
1.245 +{ echo "$as_me:$LINENO: result: $ac_cv_header_GL_osmesa_h" >&5
1.246 +echo "${ECHO_T}$ac_cv_header_GL_osmesa_h" >&6; }
1.247 +
1.248 +fi
1.249 +if test $ac_cv_header_GL_osmesa_h = yes; then
1.250 + :
1.251 +else
1.252 + { { echo "$as_me:$LINENO: error: --with-osmesa was given, but osmesa.h could not be found
1.253 +See \`config.log' for more details." >&5
1.254 +echo "$as_me: error: --with-osmesa was given, but osmesa.h could not be found
1.255 +See \`config.log' for more details." >&2;}
1.256 + { (exit 1); exit 1; }; }
1.257 +fi
1.258 +
1.259 +
1.260 +
1.261 +fi
1.262 +
1.263 +
1.264 +
1.265 +if test "x$with_osmesa" != xno; then
1.266 + OSMESA_DRIVER_TRUE=
1.267 + OSMESA_DRIVER_FALSE='#'
1.268 +else
1.269 + OSMESA_DRIVER_TRUE='#'
1.270 + OSMESA_DRIVER_FALSE=
1.271 +fi
1.272 +
1.273 +
1.274 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
1.275 { echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
1.276 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6; }
1.277 @@ -5514,6 +5760,7 @@
1.278
1.279
1.280 if test "$APPLE_BUILD" != 'yes'; then
1.281 +if test "x$with_osmesa" == "xno"; then
1.282
1.283 { echo "$as_me:$LINENO: checking for glXQueryVersion in -lGL" >&5
1.284 echo $ECHO_N "checking for glXQueryVersion in -lGL... $ECHO_C" >&6; }
1.285 @@ -5724,6 +5971,7 @@
1.286
1.287
1.288 fi
1.289 +fi
1.290
1.291
1.292 pkg_failed=no
1.293 @@ -8300,6 +8548,13 @@
1.294 Usually this means the macro was only invoked conditionally." >&2;}
1.295 { (exit 1); exit 1; }; }
1.296 fi
1.297 +if test -z "${OSMESA_DRIVER_TRUE}" && test -z "${OSMESA_DRIVER_FALSE}"; then
1.298 + { { echo "$as_me:$LINENO: error: conditional \"OSMESA_DRIVER\" was never defined.
1.299 +Usually this means the macro was only invoked conditionally." >&5
1.300 +echo "$as_me: error: conditional \"OSMESA_DRIVER\" was never defined.
1.301 +Usually this means the macro was only invoked conditionally." >&2;}
1.302 + { (exit 1); exit 1; }; }
1.303 +fi
1.304 if test -z "${GUI_CARBON_TRUE}" && test -z "${GUI_CARBON_FALSE}"; then
1.305 { { echo "$as_me:$LINENO: error: conditional \"GUI_CARBON\" was never defined.
1.306 Usually this means the macro was only invoked conditionally." >&5
1.307 @@ -8993,6 +9248,8 @@
1.308 host_cpu!$host_cpu$ac_delim
1.309 host_vendor!$host_vendor$ac_delim
1.310 host_os!$host_os$ac_delim
1.311 +OSMESA_DRIVER_TRUE!$OSMESA_DRIVER_TRUE$ac_delim
1.312 +OSMESA_DRIVER_FALSE!$OSMESA_DRIVER_FALSE$ac_delim
1.313 PKG_CONFIG!$PKG_CONFIG$ac_delim
1.314 LIBPNG_CFLAGS!$LIBPNG_CFLAGS$ac_delim
1.315 LIBPNG_LIBS!$LIBPNG_LIBS$ac_delim
1.316 @@ -9001,8 +9258,6 @@
1.317 GUI_CARBON_TRUE!$GUI_CARBON_TRUE$ac_delim
1.318 GUI_CARBON_FALSE!$GUI_CARBON_FALSE$ac_delim
1.319 GUI_GTK_TRUE!$GUI_GTK_TRUE$ac_delim
1.320 -GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.321 -BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.322 _ACEOF
1.323
1.324 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.325 @@ -9044,6 +9299,8 @@
1.326 ac_delim='%!_!# '
1.327 for ac_last_try in false false false false false :; do
1.328 cat >conf$$subs.sed <<_ACEOF
1.329 +GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.330 +BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.331 BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.332 BUILD_X86_64_TRUE!$BUILD_X86_64_TRUE$ac_delim
1.333 BUILD_X86_64_FALSE!$BUILD_X86_64_FALSE$ac_delim
1.334 @@ -9090,7 +9347,7 @@
1.335 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.336 _ACEOF
1.337
1.338 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 44; then
1.339 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
1.340 break
1.341 elif $ac_last_try; then
1.342 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.